Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Glacier2::SSLSessionManager`

## Overview

    interface SSLSessionManager

The session manager for SSL authenticated users that is responsible for managing `Session` objects. New session objects are created by the `Router` object calling on an application-provided session manager. If no session manager is provided by the application, no client-visible sessions are passed to the client.

### See Also

`Router`, `Session`

### Operation Index

`create`

  Create a new session.

## `create`

    Session* create(SSLInfo info,
        SessionControl* control)
        throws
    	CannotCreateSessionException;

Create a new session.

### Parameters

`info`

  The SSL info.

`control`

  A proxy to the session control object.

### Return Value

A proxy to the newly created session.

### Exceptions

`CannotCreateSessionException`

  Raised if the session cannot be created.

<<< Previous | Home | Next >>>
`Glacier2::SSLPermissionsVerifier` | Up | `Glacier2::Session`